/*
    Copyright (C) 2008 Fons Adriaensen <fons@kokkinizita.net>
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301 USA.
*/


#ifndef __STYLES_H
#define __STYLES_H


#include <clxclient.h>


enum
{
    C_BLACK, C_WHITE,
    C_MAIN_BG, C_MAIN_FG, C_MAIN_DS, C_MAIN_LS, C_DISP_BG,
    C_TEXT_BG, C_TEXT_FG, C_TEXT_HL, C_TEXT_CA, C_TEXT_GR, C_TEXT_MO, C_TEXT_ER,
    C_VUM1, C_VUML, C_VUMR, C_PPM1, C_PPML, C_PPMR, 
    NXFTCOLORS
};

enum
{
    NXFTFONTS
};


extern XftColor  *XftColors [NXFTCOLORS];
extern XftFont   *XftFonts  [NXFTFONTS];

extern void styles_init (X_display *disp, X_resman *xrm);
extern void styles_fini (X_display *disp);


#endif
